Support » Plugin: Wordfence Security - Firewall & Malware Scan » "You need to manually update your .htaccess"

  • I have successfully configured wordfence falcon cache with nginx using this config, but I get this error when I attempt to enable caching for https – security concerns are better-handled by other measures. Obviously I have no .htaccess as I’m running nginx (and wordfence knows that), so why is it suggesting this and what should I do instead?

    The config it generates is quite large and looks pretty similar to what’s already in the nginx config.

    https://wordpress.org/plugins/wordfence/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Wordfence

    (@mmaunder)

    Hi,

    Just want to make sure I understand. You’re getting the error “security concerns are better-handled by other measures”? Or what is the exact text of the error you’re getting. If you could post a screenshot to imgur.com that would help.

    Thanks.

    Sorry, that wasn’t clear. The error message is “You need to manually update your .htaccess”, and then it shows me a dialog with what should be put into .htaccess, but that’s not applicable because I’m using nginx. It’s not clear if the nginx config needs anything to be significantly different to the config I linked to to allow caching over https.

    Screen shot

    The “security concerns” comment was just me saying that there are security measures available outside wordpress – for example changing ownership of files so that nothing can be written by WP, using fail2ban etc. I was quite surprised to find that WF doesn’t mention ownership/permissions as a security measure.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘"You need to manually update your .htaccess"’ is closed to new replies.